Subject: bug#877: diffoscope: Installing diffoscope suggests installing systemd

From: Alejandro Colomar <[email-masked]>
Date: Mon, 17 Feb 2025 11:52:41 +0100

Hi Mark,

On Mon, Feb 17, 2025 at 10:37:39AM +0000, Mark Hindley wrote:
> Alejandro,
> 
> On Mon, Feb 17, 2025 at 11:06:47AM +0100, Alejandro Colomar wrote:
> > Maybe more concerning than the recommended package, are the ones that
> > will be installed.  I don't know if those are okay.  Could you please
> > confirm?
> > 
> > 	systemd-boot-efi systemd-repart systemd-ukify
> 
> A quick look indicated diffoscope Recommends systemd-ukify which then Recommends
> the other 2.
> 
> I have no in-depth experience of any. You can always remove them or even prevent
> apt installing them in the first with the --no-install-recommends flag.

I can't do that, because diffoscope doesn't work well if some
recommended packages aren't installed, IIRC.  I don't remember the
exact details, but I had that issue in the past.

> I don't see anything to suggest they are at odds with Devuan's primary purpose
> of avoiding systemd as PID1.

Okay.  I don't know those packages either, so let's install them.  :)

> HTH.

It does!  :-)

Cheers,
Alex

-- 
<https://www.alejandro-colomar.es/>